@import './global.scss';
@import './about.scss';
@import './partners.scss';
@import './contact.scss';

body {
  font-family: 'aasaam-Noto', sans-serif !important;
  letter-spacing: 0 !important;
}

.v-btn__content {
  letter-spacing: 0 !important;
}

.v-list-item .v-list-item__title {
  line-height: 1.4 !important;
}
.position-relative {
  position: relative;
}

.v-card__text,
.v-card__title {
  word-break: normal !important; /* maybe !important  */
}

.dontflip {
  transform: scale(-1, 1);
}

// markdown body
.markdown-body {
  p {
    font-size: 1.1em;
    line-height: 1.8em;
    display: block;
  }
  ul {
    margin: 28px 0;
    padding: 16px 42px;
    background-color: rgb(233, 233, 233);
    li {
      padding: 6px 0;
    }
  }
  table {
    margin: 24px 0;
    border-collapse: collapse;
    width: 100%;
  }

  th,
  td {
    text-align: left;
    padding: 10px;
  }

  tr:nth-child(even) {
    background-color: #f2f2f2;
  }

  th {
    background-color: #ff9e31;
    color: white;
  }
}

.withme {
  width: 84% !important;
}

// home styles
.start-intro {
  .aaa {
    width: 195px;
    position: absolute;
    right: 28%;
    top: 25%;
    height: 195px;
    img {
      vertical-align: middle;
      width: 110px;
      @media only screen and (min-width: 1200px) {
        width: 120px;
      }
      @media only screen and (min-width: 1300px) {
        width: 130px;
      }
      @media only screen and (min-width: 1520px) {
        max-width: 100%;
        width: 100%;
        height: auto;
        text-align: center;
      }
    }
  }
  @-webkit-keyframes rotating /* Safari and Chrome */ {
    from {
      -webkit-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    to {
      -webkit-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }
  @keyframes rotating {
    from {
      -ms-transform: rotate(0deg);
      -moz-transform: rotate(0deg);
      -webkit-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    to {
      -ms-transform: rotate(360deg);
      -moz-transform: rotate(360deg);
      -webkit-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }
  .rotating {
    -webkit-animation: rotating 10s linear infinite;
    -moz-animation: rotating 10s linear infinite;
    -ms-animation: rotating 10s linear infinite;
    -o-animation: rotating 10s linear infinite;
    animation: rotating 10s linear infinite;
  }
}
.main-bg {
  width: 100%;
  @media only screen and (min-width: 1000px) {
    padding-right: 30px;
    width: 92%;
  }
}
@media only screen and (min-width: 960px) {
  .desktop-wave-gutter {
    padding-bottom: 70px;
  }
}
.whoweare-bg {
  @media only screen and (min-width: 580px) {
    background-color: #ffffff;
    background-repeat: no-repeat;
    background-size: contain;
    width: 100%;
    background-position: top;
    background-image: url('../../assets/images/aboutbg4.svg');
    .before-enter {
      opacity: 0;
      transform: scale(0.8) rotateZ(-10deg);
      transition: all 1.5s ease-out;
    }

    .enter {
      opacity: 1;
      transform: scale(1) rotateZ(0deg);
    }
  }
}

.home-halo-card {
  .shape-one {
    content: '';
    width: 240px;
    height: 240px;
    background: #f29d69;
    border-radius: 50%;
    position: absolute;
    bottom: -120px;
    right: -120px;
    transform: scale(0);
    -webkit-transition: all 600ms ease;
    -moz-transition: all 600ms ease;
    -ms-transition: all 600ms ease;
    -o-transition: all 600ms ease;
    transition: all 600ms ease;
    transition-delay: 0s;
    z-index: -1;
  }
  .shape-two {
    content: '';
    width: 363px;
    height: 363px;
    background: #f29d69;
    border-radius: 50%;
    position: absolute;
    bottom: 0px;
    right: 0px;
    z-index: 1;
    opacity: 0;
    -webkit-transition: all 600ms ease;
    -moz-transition: all 600ms ease;
    -ms-transition: all 600ms ease;
    -o-transition: all 600ms ease;
    transition: all 600ms ease;
    transition-delay: 0s;
    transform: translate(100%, 100%);
    z-index: -1;
  }
  .shape-three {
    content: '';
    width: 480px;
    height: 480px;
    background: #f29d69;
    border-radius: 50%;
    position: absolute;
    bottom: 0px;
    right: 0px;
    z-index: 1;
    opacity: 0;
    -webkit-transition: all 600ms ease;
    -moz-transition: all 600ms ease;
    -ms-transition: all 600ms ease;
    -o-transition: all 600ms ease;
    transition: all 600ms ease;
    transition-delay: 0s;
    transform: translate(100%, 100%);
    z-index: -1;
  }
  .hme {
    margin: 0 0 30px;
    text-align: center;
    background-color: #fff;
    -webkit-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
    position: relative;
    z-index: 1;
    overflow: hidden;
    box-shadow: 0px 15px 32px 5px rgba(0, 0, 0, 0.05);
    &:hover {
      background-color: #da2d2d;
      color: #fff !important;
      .v-icon {
        color: #fff !important;
      }
      .shape-one {
        opacity: 0.7;
        transform: scale(1);
      }
      .shape-two {
        opacity: 0.4;
        transform: translate(50%, 50%);
        transition-delay: 500ms;
      }
      .shape-three {
        opacity: 0.3;
        transform: translate(50%, 50%);
        transition-delay: 600ms;
      }
    }
  }
}

.nocase {
  text-transform: unset;
}
.brandfont-size .abi {
  font-size: 6em;
  color: #545252;
}

.home-client-wave {
  position: relative;
  margin: 40px 0;
  .card-shadow {
    box-shadow: 0 14px 24px rgba(50, 48, 58, 0.25);
  }
  .wave-light {
    position: absolute;
    left: 0;
    width: 100%;
    height: auto;
    transform: translateY(-50%);
    pointer-events: none;
  }
  .wave-light .wave-path {
    fill: rgba(73, 49, 145, 0.02);
    animation: wave4 6s ease-in-out infinite;
    transform-origin: 50%;
  }
  @keyframes wave4 {
    25% {
      transform: scaleY(0.9);
    }
    75% {
      transform: scaleY(1.1);
    }
  }
}

.home-techies {
  .deskpadd {
    padding: 70px 0 90px 0;
  }
  .icon-tech {
    i {
      font-size: 3.4em;
    }
  }
}

.brand-hovers {
  &:hover {
    color: #fe9d2d;
  }
}
